summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authorKevin Day <blame582@gmail.com>2008-09-21 07:40:37 +0000
committerKevin Day <blame582@gmail.com>2008-09-21 07:40:37 +0000
commit2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4 (patch)
treea5e06cde800cacdf444364999531bbdf25f9b527 /update.sh
parent0ae7eecb07d4f2cf955df2ddecc9ac5f0795fe98 (diff)
downloadMana-2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4.tar.gz
Mana-2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4.tar.bz2
Mana-2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4.tar.xz
Mana-2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4.zip
added an update.sh script and updated the autobuild.sh script
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/update.sh b/update.sh
new file mode 100755
index 00000000..1402fda9
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+#automated script to update aethyra from SVN
+#author=Blame <blame@aethyra.com>
+#last modified 2008-09-21 Blame
+
+# test for the aethyra client
+if [ ~/src/aethyra ]; then
+ #change to the aethyra directory
+ cd ~/src/aethyra;
+ #issue the svn update command
+ svn up;
+ #issue the autobuild command
+ ./autobuild.sh;
+ echo "Aethyra has been updated"
+ exit 1;
+else
+ #make directory /home/user-name/src
+ mkdir ~/src
+ #change to directory /home/user-name/src
+ cd ~/src
+ #execute the svn command to download the client files
+ svn co svn://209.168.213.109/client/trunk aethyra
+ #issue the auto build script to compile the client
+ ./autobuild
+ echo "congratulations on installing aethyra enjoy"
+ exit 1;
+fi